System 1.0.5000.0 2.0.0.0 4.0.0.0 System.Resources.ResourceManager To be added.

Provides simple functionality for enumerating resources for a component or object. The class is a .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with default values.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Creates a that looks up resources in satellite assemblies based on information from the specified .

  A from which the derives all information for finding resource files.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method examines all the resources for the current culture used in the development environment. It attempts to find a resource with a key in the format of .propertyName, where is passed in as a parameter and propertyName is the name of a property. It will then apply that resource's to the corresponding property of the object. If there is no matching property, the resource will be ignored.

  Applies a resource's value to the corresponding property of the object.

  An that contains the property value to be applied. A that contains the name of the object to look up in the resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method examines all the resources for the provided culture. If is null, the current culture is assumed.

  The method attempts to find a resource with a key in the format of .propertyName, where is passed in as a parameter and propertyName is the name of a property. It will then apply that resource's to the corresponding property of the object. If there is no matching property, the resource will be ignored.

  Applies a resource's value to the corresponding property of the object.

  An that contains the property value to be applied. A that contains the name of the object to look up in the resources. The culture for which to apply resources.